Mailboxes

Get a message attachment

Returns a short-lived download URL for one of the message's attachments. Use this endpoint to get a message attachment through the Samva email API.

GET
/v1/mailboxes/{id}/messages/{messageId}/attachments/{attachmentId}

Returns a short-lived download URL for one of the message's attachments.

x-api-key<token>

In: header

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
messageId*string
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$
attachmentId*string
Match^att_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/mailboxes/string/messages/string/attachments/string"
{  "url": "string",  "expiresAt": "string"}

Related documentation